<?php
defined('BASEPATH') OR exit('No direct script access allowed');
?><!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title>Delete Multiple selected Records with jQuery AJAX in CodeIgniter</title>

	<!-- jQuery library -->
	<script type="text/javascript" src='<?= base_url() ?>assets/jquery-3.3.1.min.js'></script>
	
</head>
<body>

	<!-- User List -->
	<table border='1' width='100%'>
		<thead>
			<th>Username</th>
			<th>Name</th>
			<th>Email</th>
			<th><input type="checkbox" id="checkall" value='1'>&nbsp;<input type="button" id="delete" value='Delete'></th>
		</thead>

		<tbody>
			<?php 
			foreach($users as $user){
				$id = $user['id'];
				$username = $user['username'];
				$name = $user['name'];
				$email = $user['email'];
				?>
				<tr id='tr_<?= $id ?>'>
					<td><?= $username ?></td>
					<td><?= $name ?></td>
					<td><?= $email ?></td>
					<td align='center'><input type="checkbox" class='checkbox' name='delete[]' value='<?= $id ?>' ></td>
				</tr>
				<?php
			}
			?>
		</tbody>
	</table>

	<!-- Script -->
	<script type="text/javascript">
		$(document).ready(function(){

			// Check all
			$("#checkall").change(function(){

		    	var checked = $(this).is(':checked');
		     	if(checked){
		       		$(".checkbox").each(function(){
		         		$(this).prop("checked",true);
		       		});
		     	}else{
		       		$(".checkbox").each(function(){
		         		$(this).prop("checked",false);
		       		});
		     	}
		   	});

			// Changing state of CheckAll checkbox 
			$(".checkbox").click(function(){
			 	
			    if($(".checkbox").length == $(".checkbox:checked").length) {
			    	$("#checkall").prop("checked", true);
			    } else {
			      	$("#checkall").prop("checked",false);
			    }

			});

			// Delete button clicked
			$('#delete').click(function(){

				// Confirm alert
				var deleteConfirm = confirm("Are you sure?");
				if (deleteConfirm == true) {

					// Get userid from checked checkboxes
					var users_arr = [];
					$(".checkbox:checked").each(function(){
			        	var userid = $(this).val();
			        	
			        	users_arr.push(userid);
			       	});

					// Array length
				    var length = users_arr.length;

					if(length > 0){
						
						// AJAX request
						$.ajax({
							url: '<?= base_url() ?>index.php/users/deleteUser',
							type: 'post',
							data: {user_ids: users_arr},
							success: function(response){
								
								// Remove <tr>
								$(".checkbox:checked").each(function(){
						        	var userid = $(this).val();
						        	
						        	$('#tr_'+userid).remove();
						       	});
							}
						});
					}
				}	
				
			});

		});
	</script>

</body>
</html>